net.sf.jasperreports.charts.fill

## Class JRFillItemLabel

- java.lang.Object
- - net.sf.jasperreports.charts.fill.JRFillItemLabel

- All Implemented Interfaces:
    java.lang.Cloneable, JRItemLabel, JRCloneable

      public class JRFillItemLabel
      extends java.lang.Object
      implements JRItemLabel

  Version:
    $Id: JRFillItemLabel.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRChart` | `chart`
    `protected JRItemLabel` | `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRFillItemLabel(JRItemLabel itemLabel, JRFillObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `JRItemLabel` | `clone(JRChart parentChart)` Returns the item label formatting mask.
    `java.awt.Color` | `getBackgroundColor()`
    `JRChart` | `getChart()`
    `java.awt.Color` | `getColor()`
    `JRFont` | `getFont()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### parent

          protected JRItemLabel parent

    - #### chart

          protected JRChart chart

  - ### Constructor Detail

    - #### JRFillItemLabel

          public JRFillItemLabel(JRItemLabel itemLabel,
                         JRFillObjectFactory factory)

  - ### Method Detail

    - #### getChart

          public JRChart getChart()

      Specified by:
        `getChart` in interface `JRItemLabel`
      Returns:
        the chart the current item label belongs to.

    - #### getColor

          public java.awt.Color getColor()

      Specified by:
        `getColor` in interface `JRItemLabel`
      Returns:
        the item label text color

    - #### getBackgroundColor

          public java.awt.Color getBackgroundColor()

      Specified by:
        `getBackgroundColor` in interface `JRItemLabel`
      Returns:
        the item label background color

    - #### getFont

          public JRFont getFont()

      Specified by:
        `getFont` in interface `JRItemLabel`
      Returns:
        the item label font. Allows full font customization for the item label.

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

    - #### clone

          public JRItemLabel clone(JRChart parentChart)

      Description copied from interface: `JRItemLabel`
      Returns the item label formatting mask. The mask will be specified using the patterns defined in `java.text.DecimalFormat`.
      Specified by:
        `clone` in interface `JRItemLabel`
      Returns:
        the item label formatting mask

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com